<template>
  <EntityList
      type="contacts"
      :items="items"
  ></EntityList>
</template>

<script setup>
import EntityList from "~/components/EntityList.vue";

definePageMeta({
  middleware: "auth"
})

const items = ref([])

const setupPage = async () => {
  items.value = await useSupabaseSelect("contacts","*, customer(name), vendor(name)")
}

setupPage()
</script>

<style scoped>

</style>